package com.feiyizhan;

import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

import java.util.logging.Logger;

/**
 * Log Jul 的测试 (Jul 是Java 自带 日志框架，在rt.jar包中   java.util.logging）
 * @author 徐明龙 XuMingLong 2023-03-17
 */
@SpringBootTest
public class LogJulSpringBootTests {

    Logger logger_jul = Logger.getLogger(LogJulSpringBootTests.class.getName());


    @Test
    void test_default_log(){
        logger_jul.info("这是info日志...");
        logger_jul.info(logger_jul.getClass().toGenericString());
    }
}
