package com.feiyizhan;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

/**
 * Log Log4j2 的测试
 * @author 徐明龙 XuMingLong 2023-03-17
 */
@SpringBootTest
public class LogLog4j2Tests {
    //JCL
//    Logger logger_log4j2 = LogManager.getLogger(LogLog4j2Tests.class);
    //LOG4j2
    Logger logger_log4j2 = LogManager.getLogger(LogLog4j2Tests.class);


    @Test
    void test_default_log(){
        logger_log4j2.trace("这是trace日志..."); //跟踪轨迹
        logger_log4j2.debug("这是debug日志..."); //调试
        //SpringBoot默认给我们使用的是info级别的，没有指定级别的就用SpringBoot默认规定的级别（root级别）
        logger_log4j2.info("这是info日志...");
        logger_log4j2.warn("这是warn日志...");
        logger_log4j2.error("这是error日志...");
        logger_log4j2.info("这是info日志...{}","test");
        logger_log4j2.info(logger_log4j2.getClass().toGenericString());
    }
}
