package com.feiyizhan;

import org.junit.jupiter.api.Test;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.test.context.SpringBootTest;

/**
 * LogBack 的测试
 * @author 徐明龙 XuMingLong 2023-03-17
 */
@SpringBootTest
public class LogBackTests {
    Logger logger_logback = LoggerFactory.getLogger(LogBackTests.class);

    @Test
    void test_default_log(){
        logger_logback.trace("这是trace日志..."); //跟踪轨迹
        logger_logback.debug("这是debug日志..."); //调试
        //SpringBoot默认给我们使用的是info级别的，没有指定级别的就用SpringBoot默认规定的级别（root级别）
        logger_logback.info("这是info日志...");
        logger_logback.warn("这是warn日志...");
        logger_logback.error("这是error日志...");
        logger_logback.info("这是info日志...{}","test");
        logger_logback.info(logger_logback.getClass().toGenericString());
    }
}
