package com.feiyizhan;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * LogBack 的测试
 * @author 徐明龙 XuMingLong 2023-03-17
 */
public class LogBackTests {
    static final  Logger logger_logback = LoggerFactory.getLogger(LogBackTests.class);

    /**
     * 测试日志打印
     * @author 徐明龙 XuMingLong 2023-10-18
     * @return void
     */
    public static void printLog(){
        logger_logback.trace("LogBackTests 这是trace日志..."); //跟踪轨迹
        logger_logback.debug("LogBackTests 这是debug日志..."); //调试
        //SpringBoot默认给我们使用的是info级别的，没有指定级别的就用SpringBoot默认规定的级别（root级别）
        logger_logback.info("LogBackTests 这是info日志...");
        logger_logback.warn("LogBackTests 这是warn日志...");
        logger_logback.error("LogBackTests 这是error日志...");
        logger_logback.info("LogBackTests 这是info日志...{}","test");
        logger_logback.info("LogBackTests "+logger_logback.getClass().toGenericString());
    }
}
