package com.feiyizhan;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

/**
 * Log Log4j2 的测试
 * @author 徐明龙 XuMingLong 2023-03-17
 */
public class LogLog4j2Tests {

   static final Logger logger_log4j2 = LogManager.getLogger(LogLog4j2Tests.class);

    /**
     * 测试日志打印
     * @author 徐明龙 XuMingLong 2023-10-18
     * @return void
     */
    public static void printLog(){
        logger_log4j2.trace("LogLog4j2Tests 这是trace日志..."); //跟踪轨迹
        logger_log4j2.debug("LogLog4j2Tests 这是debug日志..."); //调试
        //SpringBoot默认给我们使用的是info级别的，没有指定级别的就用SpringBoot默认规定的级别（root级别）
        logger_log4j2.info("LogLog4j2Tests 这是info日志...");
        logger_log4j2.warn("LogLog4j2Tests 这是warn日志...");
        logger_log4j2.error("LogLog4j2Tests 这是error日志...");
        logger_log4j2.info("LogLog4j2Tests 这是info日志...{}","test");
        logger_log4j2.info("LogLog4j2Tests " +logger_log4j2.getClass().toGenericString());
    }
}
