package com.feiyizhan;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Log Jcl 的测试 (Jcl 是commons-logging 日志框架）
 * @author 徐明龙 XuMingLong 2023-10-18
 */
public class LogJclTests {

    static final Log logger = LogFactory.getLog(LogJclTests.class.getName());

    /**
     * 测试日志打印
     * @author 徐明龙 XuMingLong 2023-10-18
     * @return void
     */
    public static void printLog(){
        logger.trace("LogJclTests 这是trace日志..."); //跟踪轨迹
        logger.debug("LogJclTests 这是debug日志..."); //调试
        //SpringBoot默认给我们使用的是info级别的，没有指定级别的就用SpringBoot默认规定的级别（root级别）
        logger.info("LogJclTests 这是info日志...");
        logger.warn("LogJclTests 这是warn日志...");
        logger.error("LogJclTests 这是error日志...");
        logger.info("LogJclTests " + logger.getClass().toGenericString());
    }
}
