package com.feiyizhan;

import org.apache.log4j.Logger;

/**
 * Log Log4j 的测试
 * @author 徐明龙 XuMingLong 2023-03-17
 */
public class LogLog4jTests {

    static final Logger logger_log4j = Logger.getLogger(LogLog4jTests.class);


    /**
     * 测试日志打印
     * @author 徐明龙 XuMingLong 2023-10-18
     * @return void
     */
    public static void printLog(){
        logger_log4j.trace("LogLog4jTests 这是trace日志..."); //跟踪轨迹
        logger_log4j.debug("LogLog4jTests 这是debug日志..."); //调试
        //SpringBoot默认给我们使用的是info级别的，没有指定级别的就用SpringBoot默认规定的级别（root级别）
        logger_log4j.info("LogLog4jTests 这是info日志...");
        logger_log4j.warn("LogLog4jTests 这是warn日志...");
        logger_log4j.error("LogLog4jTests 这是error日志...");
        logger_log4j.info("LogLog4jTests " + logger_log4j.getClass().toGenericString());
    }
}
