# Java Log Log4j demo

默认日志配置文件: `log4j.properties`

## 引入依赖
```xml
<!--引入Log4j-->
<dependency>
    <groupId>log4j</groupId>
    <artifactId>log4j</artifactId>
    <version>1.2.17</version>
</dependency>
```

## 使用JCL 门面 
Spring 默认引入了`JCL` 和`SLF4j` 两个门面，因此如果只测试`JCL` 就需要排除`slf4j-api` 
JCL 门面：
```log
2023-10-26 14:59:46 DEBUG (com.feiyizhan.LogLog4jTests:18) - 这是debug日志...
2023-10-26 14:59:46  INFO (com.feiyizhan.LogLog4jTests:20) - 这是info日志...
2023-10-26 14:59:46  WARN (com.feiyizhan.LogLog4jTests:21) - 这是warn日志...
2023-10-26 14:59:46 ERROR (com.feiyizhan.LogLog4jTests:22) - 这是error日志...
2023-10-26 14:59:46  INFO (com.feiyizhan.LogLog4jTests:23) - public class org.apache.log4j.Logger
```
