package com.feiyizhan;

import org.apache.log4j.Logger;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

/**
 * Log Log4j 的测试
 * @author 徐明龙 XuMingLong 2023-03-17
 */
@SpringBootTest
public class LogLog4jTests {

    Logger logger_log4j = Logger.getLogger(LogLog4jTests.class);


    @Test
    void test_default_log(){
        logger_log4j.trace("这是trace日志..."); //跟踪轨迹
        logger_log4j.debug("这是debug日志..."); //调试
        //SpringBoot默认给我们使用的是info级别的，没有指定级别的就用SpringBoot默认规定的级别（root级别）
        logger_log4j.info("这是info日志...");
        logger_log4j.warn("这是warn日志...");
        logger_log4j.error("这是error日志...");
        logger_log4j.info(logger_log4j.getClass().toGenericString());
    }
}
