package com.feiyizhan;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.test.context.SpringBootTest;

@SpringBootTest
class LogSlf4jSimpleTests {
	static final Logger logger = LoggerFactory.getLogger(LogSlf4jSimpleTests.class);

	/**
	 * 测试日志打印
	 * @author 徐明龙 XuMingLong 2023-10-18
	 * @return void
	 */
	public static void printLog(){
		logger.trace("LogSlf4jSimpleTests 这是trace日志..."); //跟踪轨迹
		logger.debug("LogSlf4jSimpleTests 这是debug日志..."); //调试
		//SpringBoot默认给我们使用的是info级别的，没有指定级别的就用SpringBoot默认规定的级别（root级别）
		logger.info("LogSlf4jSimpleTests 这是info日志...");
		logger.warn("LogSlf4jSimpleTests 这是warn日志...");
		logger.error("LogSlf4jSimpleTests 这是error日志...");
		logger.info("LogSlf4jSimpleTests 这是info日志...{}","test");
		logger.info("LogSlf4jSimpleTests " + logger.getClass().toGenericString());

	}

}
